| Home | Libraries | People | FAQ | More

##### posix::basic_descriptor::basic_descriptor (3 of 3 overloads)

Move-construct a `posix::basic_descriptor` from another.

    basic_descriptor(
        basic_descriptor && other);

This constructor moves a descriptor from one object to another.

###### Parameters

other

  The other `posix::basic_descriptor` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_descriptor(io_service&) constructor`.